#include "sparrowmodule.h"
#include "message.h"
#include "basemodule.h"

SparrowModule::SparrowModule()
{

}

bool SparrowModule::messageHandler(Message msg)
{
    if(msg.command.compare("JOIN") == 0
            && msg.target.compare("#"+getChan()) == 0
            && msg.nick.compare(getNick()) != 0)
    {
        answer = say("Bienvenue sur #epicsparrow "+msg.nick+"!");
        return true;
    }
    else if(msg.command.compare("PRIVMSG"))
    {
        User* user = getUsers()->getFromNick(msg.nick);
        if(msg.args.startsWith("!control ") && user->isOp())
        {
            QString command = msg.args.remove(0, 9);
            answer = command + "\r\n";
            return true;
        }
        else if(msg.args.compare("!version") == 0)
        {
            answer = say("sparrowModule v1.0");
            return true;
        }
    }
    return false;
}

QString SparrowModule::getName()
{
    return "sparrow";
}
