#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QTextBrowser>
#include "prompt.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

QTextBrowser* MainWindow::getConsole()
{
    return this->ui->monitoringConsole;
}

Prompt* MainWindow::getPrompt()
{
    return this->ui->prompt;
}

MainWindow::~MainWindow()
{
    delete ui;
}
